The International Simutrans Forum

 

Author Topic: Advice on updating to a newer version / adding newer vehicles  (Read 2869 times)

0 Members and 1 Guest are viewing this topic.

Offline Quakke

  • *
  • Posts: 8
Advice on updating to a newer version / adding newer vehicles
« on: August 25, 2015, 12:58:18 PM »
Just thought this might have been more appropriate in the specific Pak128.Britain topic. Apologies. Move if deemed necessary.

Hello everybody,

I've played simutrans for many years now, and for the past few years, I've been playing with the following version of the game:

Simutrans 111.0
Simutrans Experimental 10.11
Pak128.Britain 1.12

I've modeled in this version the whole UK rail network (with some local buses in large cities) a few times, the first just going by approximate locations of rail, and guesstimating where to build what size city / what buildings.
The second time, I looked more into detail on city sizes, single/double track, and train lengths (a 2x3-car 158 between Barnstaple and Exeter, I mean.... what?)
For the third variety I've been working on that on-and-off, now with more detail. Using a spreadsheet of all stations with its population / in which city it is, and then dividing by 20 to get the population, more detailed track and station layouts, and using realtime trains to find out actual schedules / stopping patterns, instead of believing Wikipedia for the most part.

I'm about to finish the whole Southern half, up to the level of Liverpool (including Wales), but am still stuck in this older variety of the game. Both Simutrans, Simutrans experimental, and Pak128.Britain have evolved. I've tried many things, but couldn't work out what works, so I've finally decided to ask for help.

(1) Pak 128.Britain 1.15 and 1.16 are made for the half-height tileset, thus not compatible with running any experimental.
(2) Pak 128.Britain 1.14 can't be opened in the simutrans variety I run, as it needs Experimental 11.
(3) Updating experimental to 11.0 opened it, but my passenger numbers dropped hugely and I went from +300,000 per month to making 1M losses, which means that I'd have to go and repopulate my cities to a higher number.
(4) I can open it in the newest varieties of everything, but then obviously the half height tileset is seriously messed up, and I can't figure out where to lay track, and still the economy / passenger number issue remains for me.
(5) When playing, instead of train information, for quite a lot of them it shows "LOCO_INFO_EXT". If I see correctly, only vehicles that are unpowered show correctly. Buses and trams show "loco_info_extloco_cap". I thought I had the correct configuration files, but clearly not. Even copying the "config" files from a new 1.12 download doesn't fix this.

Since updating to the newest versions means the half height issue remains, I've decided to stick a bit longer with my outdated version, and that's why for the moment I have resorted to finding some extra modern vehicles to add, to make it more credible.

I managed to find .dat and png files for the Croydon Variobahn, Flexity Swift, Flexity-2, CAF Edinburgh, CAF Urbos via Jamespetts' GitHub, and managed to get these to work. However, they won't turn around at their terminus, giving me a "no route" error. I have removed the "way_constraint_permissive[1]=1" because they wouldn't get out of the depot at all in the first place.
BR Classes 315 and 507 had their .dat files there as well, yet I couldn't find the images for these.

In another topic, I read the following were being built at the moment: 139, 171, 172, 175, 185, 323, 333, 334, 350, 376, 377, 380, 458, 460, for which I will await eagerly.

Hopefully that is enough information to answer the following questions

(1) What is the latest version I can update too, without (a) losing all passengers, or (b) getting into the half height issue
(2) How do I solve the turnaround issue for the trams? I managed to just work around by having them loop instead. Did I miss anything in the makeobj?
(3) Are the images needed for class 315 and 507 to be found anywhere?
(4) Is there any way to get the vehicle info back?

Thank you all in advance for your help. I've played this game with a lot of amazement over the years. Amazing what you've achieved, and I hope to keep enjoying it for quite some time to come! (And sorry for this very long post!)

Manuel

Offline Junna

  • Devotee
  • *
  • Posts: 1081
Re: Advice on updating to a newer version / adding newer vehicles
« Reply #1 on: August 25, 2015, 02:00:16 PM »
You can't get half-height when you have a double-height map.

To get the latest versions, you ought to compile on your own from sources of both the pak and Experimental. That's a very old version you're using right there, too.

You also seem to be using the standard pakset with experimental, as it were, as opposed to Pak.Britain Experimental.

Offline jamespetts gb

  • Simutrans-Extended project coordinator
  • Moderator
  • *
  • Posts: 18425
  • Cake baker
    • Bridgewater-Brunel
  • Languages: EN
Re: Advice on updating to a newer version / adding newer vehicles
« Reply #2 on: August 25, 2015, 06:18:38 PM »
Hello and welcome to the forums! I am glad that you have had so much use out of Experimental. You really are using a very old version now. The latest release version is 11.35, although that is fairly old, as there is a large amount of work ongoing on a new version (which work was largely halted for about a year whilst I moved house). However, 11.35 is much later than what you are using now, and you would do well to upgrade to it.

The dropping off of the passengers comes with a fixing of a bug that caused too many passengers to be generated. If, however, you prefer the old, larger numbers, you might want to consider adjusting the "passenger_multiplier" value in the advanced settings window (key "i" when the game is running).

You are also likely to be using an old (and possibly non-Experimental-specific) version of the pakset: the latest release version of the Experimental specific pakset is Pak128.Britain-Ex 0.9.1, which has many newer vehicles than earlier versions.

When the next major version of Experimental is released (it is difficult to estimate the time, as how long that it takes to code the necessary features is inherently unpredictable), you should be able to use a half-height compatible pakset to load your existing map, but will not be able to use actual half height features on your existing map (but will be able to use them on new maps).

It is interesting that you have undertaken a similar project to another person on these forums, Carl Baker, albeit he used a different pakset; have you seen his videos?

Offline Quakke

  • *
  • Posts: 8
Re: Advice on updating to a newer version / adding newer vehicles
« Reply #3 on: August 25, 2015, 10:42:09 PM »
Thanks for your replies Junna and James.

Junna, reason I didn't go with experimental pak at first, was that back when I started using the simutrans experimental, I felt it was missing a lot of things I wanted to use. And as you say, I have to probably arrange my own addons for my game

James, I've downloaded newer versions, and played with them form time to time. However, I always ended up coming back to my older version because  things I so got used to doing didn't work as I wanted in the new things.

A reason why I never tried loading my game into experimental pak was that it gave so much errors. I now finally - since you both basically didn't give an easy solution - decided to give it a go. But I've had to
(1) Remodel station signals (if the platform choose signal for a station was at a previous station, even if only 4 blocks down, the train would take the choose signal for the station the signal was at, and often move to a platform in the wrong direction, not stopping at the one I booked it for)
(2) Redo huge amounts of trains (Overground, Electrostar, Class 442 (instead of the missing 350 for Midland Express), and some more didn't work anymore; missing .dat and/or incompatible (442 needs 3rd rail, where I used it as a OHL service))
(3) Relay all tram track
(4) Lengthen quite some stations
(5) Fix stations where somehow with choose signals, two trains would end up on one platform, and then stuck
(6) Set both passenger  multiplier and factor to max for both. Some services needed to be cut down severely (Cardiff Valleys) while others (FGW HST to Penzance) saw passenger numbers boom
(7) Redo lots of track to remove hills. a hill just after a station, or two in relative quick succession was making all trains go 4mph max, which was especially annoying on the HST approaches of Reading, Plymouth to Penzance, and the ELL.

And still I'm making about 300,000/month loss, albeit better than the 900,000 without a massive overhaul in a regular pak 1.14.
I'll see in the next few days/weeks what I can do to finetune everything and see if I can still make it profitable. But it's just so much work to update, which is why I just waited version after version for something magical to appear to solve it easily. :p


And yes, I've seen all of Carl's videos. A friend of mine some years ago asked me what I was doing, and when I said I was making the UK in simutrans, he wouldn't believe it. I sent him some printscreens, and then thought: I can't be the only one. Let's google it. And that's when I found Carl's videos. Although he's using a much bigger map than me, a pak64 version, and much more detailed timetabling. Things my current computer can't handle. It's already using about 80% of my memory when running my version. But all praise to him for his attention to detail. :-)


Offline jamespetts gb

  • Simutrans-Extended project coordinator
  • Moderator
  • *
  • Posts: 18425
  • Cake baker
    • Bridgewater-Brunel
  • Languages: EN
Re: Advice on updating to a newer version / adding newer vehicles
« Reply #4 on: August 25, 2015, 10:52:12 PM »
There have been quite a few balancing changes over the years, which are still work in progress at present, as the amount of work needed to get Simutrans-Experimental and Pak128.Britain-Ex to balance properly is gargantuan and there are very few people working on it (mostly me; I am also incorporating changes from Standard, which are often good changes in themselves, but do not contribute directly to balance). For this reason, backwards compatibility has not been able to be enough of a priority to do more than allow older games to load, rather than allow for them to balance in the same way that they did in older versions.

I should be interested to see any screen-shots that you might care to upload of your project, however.

Offline Quakke

  • *
  • Posts: 8
Re: Advice on updating to a newer version / adding newer vehicles
« Reply #5 on: August 26, 2015, 08:41:53 AM »
Hi James!

Sure, no problem. I've uploaded some images in this imgur album. http://imgur.com/a/3JnUO

Birmingham New Street: The CrossCountry platforms have been moved underground, due to space issues. Also, in the limited space avaible due to map size + Pak128, I had to add some tunnels in order to keep the junctions as easy as possible to get past. Otherwise, there would be a big queue of trains.
Brighton: The Hove shuttle sadly doesn't exist
Cardiff & Valleys: Sidings for Cardiff to reverse services have been moved underground here.
Clapham Junction: Some SWT lines moved underground due to lack of space. LOV from Willesden comes in from the wrong side, as does the Southern to Milton Keynes, which does stop at a 'separate' underground, instead of platform 16/17.
Reading: Again some tunnels for the Crosscountry and a bridge for FGW. Due to HST length, they would otherwise block certain paths.
Southend: All fair and easy here
Tube: A mess to organise! All these different levels, fiddling with station locations etc. But in the end, I got there.
Yeovil Area: Including the link for the new SWT services via Junction & Pen Mill from december.
Welsh Coast Tywyn - Pwlhelli: a nice and quiet rural route, although I had to do a lot of ground works in order to lay the track there, as the map I used started immediately with a steep slope on the coast.

Although not Carl quality, I love making and researching this, and I hope you enjoy seeing someone else do this crazy stuff! :p

Offline jamespetts gb

  • Simutrans-Extended project coordinator
  • Moderator
  • *
  • Posts: 18425
  • Cake baker
    • Bridgewater-Brunel
  • Languages: EN
Re: Advice on updating to a newer version / adding newer vehicles
« Reply #6 on: August 26, 2015, 04:20:42 PM »
That is rather splendid.